require 'handiv/version'
require 'handiv/connection'
require 'handiv/client'

module Handiv
  class << self
    def client
      @client ||= Handiv::Client.new
    end

    private

    def method_missing(method_name, *args, &block)
      return super unless client.respond_to?(method_name)
      client.send(method_name, *args, &block)
    end

    def respond_to_missing?(method_name, include_private = false)
      client.respond_to?(method_name, include_private)
    end
  end
end
